#!/usr/bin/perl

#apre in scrittura il file (indicato da linea di comando)
open FILE, ">$ARGV[0]";

#iterazione sulle directories presenti in ./gironi
foreach $dir (`ls gironi/`) 
{
   chomp $dir;
   open RISULTATI, "gironi/$dir/risultati.txt" or die "$!";

   #ripristina la classifica per ogni nuovo girone esaminato
   %classifica=();
   while(<RISULTATI>) 
   {
      #inizializza l'array associativo costituito dalle coppie <squadra,punteggio>
      #questo serve per tener traccia (inserendo la chiave nell'array associativo) 
      #delle squadre che non vincono mai (diversamente sarebbe necessario incrementare di un valore
      #pari a 0 il punteggio delle squadre perdenti per ogni partita esaminata -nel successivo 'if'-)
      if(/(\w+)\s(\w+)\s(\w+)\s(\w+)/)
      {
         $classifica{$1}=0;
         $classifica{$2}=0;
         $classifica{$3}=0;
         $classifica{$4}=0;
      }#if
      if(/(\w+)-(\w+)=(\d+)-(\d+)/)
      {
         ($squadraCasa, $squadraOspite, $risCasa, $risOspite) = ($1, $2, $3, $4);
         if($risCasa == $risOspite) 
         {
            $classifica{$squadraCasa} += 1;
            $classifica{$squadraOspite} += 1;
         } 
         elsif($risCasa > $risOspite) 
         {
            $classifica{$squadraCasa} += 3;
            #TRACCIA B:
            #$classifica{$squadraCasa} += 2;
         } 
         else 
         {		
            $classifica{$squadraOspite} += 3;
            #TRACCIA B:
            #$classifica{$squadraOspite} += 2;
         }
      }#if
   }#while
   close RISULTATI;

   print FILE "|";   

   #l'array @squadreOrdinate contiene l'elenco delle squadre (cioè le chiavi dell'array associativo %classifica)
   #ordinate in senso discentente (da quella che totalizza il punteggio più alto a quella che ha minor punti)
   #perciò le squadre in prima e seconda posizione corrispondono alla prima e seconda classificata

   @squadreOrdinate=sort{$classifica{$b} <=> $classifica{$a}} keys %classifica;
   print FILE " $squadreOrdinate[0] $squadreOrdinate[1] ";

   #TRACCIA B: la terza e quarta classificata corrispondono ai valori presenti rispettivamente nella terza
   #e quarta posizione dell'array risultante  
 
   #print FILE " $squadreOrdinate[2] $squadreOrdinate[3] ";

}#foreach

print FILE "|";
close FILE;


